Skip to content
Browse files

Less dependency butt-pain.

  • Loading branch information...
1 parent 60b8ee1 commit b843c19b9deb60e6103635c0240b8226fe1567d6 @therealadam committed Jan 26, 2011
Showing with 5 additions and 7 deletions.
  1. +3 −5 Gemfile
  2. +2 −2 adapter-cassandra.gemspec
View
8 Gemfile
@@ -1,6 +1,8 @@
source "http://rubygems.org"
-# Specify your gem's dependencies in adapter-cassandra.gemspec
+# AKK: specifying this dep here allows us to require a specific file
+gem 'cassandra', '~> 0.9.0', :require => 'cassandra/0.7'
+
gemspec
group(:development) do
@@ -10,8 +12,4 @@ group(:development) do
gem 'SystemTimer', '~> 1.2.1'
gem 'i18n', '0.5.0'
gem 'activesupport', '~> 3', :require => 'active_support'
-
- # Requiring like this is totally ghetto
- gem 'adapter', :path => '~/Desktop/Do/adapter'
- gem 'cassandra', '~> 0.9.0', :require => 'cassandra/0.7'
end
View
4 adapter-cassandra.gemspec
@@ -17,6 +17,6 @@ Gem::Specification.new do |s|
s.executables = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
s.require_paths = ["lib"]
- # s.add_dependency 'adapter', '~> 0.5.1'
- # s.add_dependency 'cassandra', '~> 0.9.0'
+ s.add_dependency 'adapter', '~> 0.5.1'
+ s.add_dependency 'cassandra', '~> 0.9.0'
end

0 comments on commit b843c19

Please sign in to comment.
Something went wrong with that request. Please try again.